docky (2.2.1.1-1) unstable; urgency=medium

  * Non-maintainer upload.
  * new upstream version

 -- Fernando Toledo <ragnarok@docksud.com.ar>  Fri, 25 Sep 2015 11:52:22 -0300

docky (2.2.0-3) unstable; urgency=low

  * Backport two patchs from launchpad.
    - fix crash when addin-manager fails to retrieve plugin instances
    - Reset associated timer-id after a Timeout got removed or executed

 -- Matias De lellis <mati86dl@gmail.com>  Wed, 08 Apr 2015 11:48:42 -0300

docky (2.2.0-2) unstable; urgency=low

  [ Iain Lane ]
  * [1362ca9] Use dh --with cli instead of the deprecated cli.make

  [ Jo Shields ]
  * [50ce9a9] Use DBus# 2.0 API.

 -- Jo Shields <directhex@apebox.org>  Wed, 30 Oct 2013 17:01:17 +0000

docky (2.2.0-1) unstable; urgency=low

  * New upstream release 2.2.0 "Sneak it in your system"
    + new docklets:
      - NetworkMonitor
    + Accept dropping of every file when no MimeType specified (LP: #986693)
    + Docky click area larger than visible in panel mode (LP: #730959)
    + Gconf key to suppress compositing warning. (LP: #754064)
    + Error building with mono 3 (LP: #1097805)
    + CPU Monitor Docklet doesn't launch System Monitor in KDE (LP: #779181)
    + Add systemd support for SessionManager
  * debian/patches:
    - 00bzr_logind-suspend-hibernate.diff: Add logind support for suspend
      and hibernate

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Thu, 02 May 2013 13:46:58 +0200

docky (2.1.4-1) unstable; urgency=low

  * Team upload.

  [ Rico Tzschichholz ]
  * New upstream release 2.1.4 "Rediscovered friend",
    + matcher: fix for libreoffice 3.4+ (LP: #823834)
    + add support building with dmcs
  * debian/patches:
    + drop 00bzr-fix_dll_maps.patch, included upstream

  [ Chow Loong Jin ]
  * Fix debian/watch URL pattern.
    Launchpad apparently serves https download URLs now when scanning the https
    download list page. Use .*/docky-(.*)\.tar\.xz instead to be future-proof.

 -- Chow Loong Jin <hyperair@debian.org>  Wed, 04 Apr 2012 00:43:12 +0800

docky (2.1.3-2) unstable; urgency=low

  * Upload to unstable
  * debian/watch:
    + Look for xz tarballs from now on

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Thu, 19 Jan 2012 19:03:38 +0100

docky (2.1.3-1) experimental; urgency=low

  * New upstream release 2.1.3 "Paper cut",
    changes include:
    + prevent crash if a desktop-file contains invalid values (LP: #757140)
  * debian/control:
    + Bump Standards version to 3.9.2 (no changes needed)
  * debian/rules:
    + Add add GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
  * debian/patches/00bzr_fix_dll_maps.patch:
    + Fix dll maps to please moduleref check

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Wed, 15 Jun 2011 13:41:21 +0200

docky (2.1.2-1) experimental; urgency=low

  * New upstream release 2.1.2 "Docks love Mono",
    changes include:
    + fix drawing with mono 2.10+
    + fix problem with curtain when struts are set
    + fix crash when drag/droping onto docky and nautilus isnt drawing
      desktop (LP: #574817)
    + fix nm docklet crashing docky on startup if nm isnt running
      (LP: #738955)
    + fix item-drop at the first place (LP: #708772)

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Wed, 06 Apr 2011 19:45:56 +0200

docky (2.1.1-1) experimental; urgency=low

  * New upstream release 2.1.1 "Just do your things",
    changes include:
    + clamping values coming in from gconf
    + drop global autostart default (LP: #670939)
    + fix dock dim animation on external drags (LP: #727645)
    + fix tooltips showing wrong on external drags
    + fix crash if 'poof.png' is missing
    + try to trap crashes coming from libnotify (LP: #678426)
    + fix crash when emptying trash and cant access a file (LP: #717875)
    + slightly zoom icons during drag (LP: #707658)

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Thu, 10 Mar 2011 14:22:40 +0100

docky (2.1.0-1) experimental; urgency=low

  * New upstream release 2.1.0 "This is it",
    changes include:
    + new docklets:
      - Clippy, Desktop, SessionManager, Timer, WorkspaceSwitcher
    + many new hidden gconf-settings for power-users ;-)
    + implement DockManager DBus API
      - all helper scripts are moved to dockmanager project on launchpad.net
    + a whole bunch of Wishlist bug-fixes!!!
  * use debian source format 3.0 (quilt)
  * debian/patches:
    + use-system-gio-sharp.patch dropped, applied upstream
  * debian/*:
    + changed to fit new upstream source and build dependencies
    + update copyright file

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Sat, 12 Feb 2011 20:00:20 +0100

docky (2.0.11-2) unstable; urgency=low

  * Upload to unstable

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Fri, 11 Feb 2011 12:57:08 +0100

docky (2.0.11-1) experimental; urgency=low

  * New upstream release 2.0.11 "Clean up your desktop",
    changes include:
    + fix event-driven icon-update of MenuItemWidget
    + fix Gdk.Pixbuf leak in MenuItem and MenuItemWidget
    + add docky.desktop to translations
    + fix startup-activation of plugins
    + unregister of an event in DockWindow.Dispose was missing
    + make sure to ignore launchers with Hidden set (LP: #700203)
    + don't set geo on notifications (LP: #506084)
    + don't have Log.Notify use string.Format, which causes random bugs such
      as gmail breaking when messages contain {} in the subject (LP: #697981)
    + NetworkMananger: fix typo and catch exception to prevent crash if dbus
      access isn't granted

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Sun, 16 Jan 2011 19:44:44 +0100

docky (2.0.10-1) experimental; urgency=low

  * New upstream release 2.0.10 "Nice and Easy",
    changes include:
    + fix unhiding when there are multiple, differently sized monitors
      (LP: #625332)
    + fix RecentDocuments (LP: #660179)
    + add manpage
    + some optimizations
  * remove debian/docky.manpages, debian/docky.1
    + manpage is installed by upstream now

 -- Rico Tzschichholz <ricotz@t-online.de>  Tue, 04 Jan 2011 09:32:03 +0100

docky (2.0.9-1) experimental; urgency=low

  * New upstream release 2.0.9 "You can count on us",
    changes include:
    + fix compilation with mono 2.8+ (LP: #502650)
      remove dependency on Mono.GetOptions, which is obsolete and use a
      bundled Mono.Options source
    + add better implementation of DockySurface.LoadToPixbuf
    + fix potential X crash when hovertexts are reallllllllly long...
    + fix the helper tile not properly toggling (caused by gconf buffering
      updates) (LP: #694117)
    + fix ArgumentOutOfRangeException for pids.ElementAt(...)
    + add missing disposals of fileenumerator
    + let FileDockItems open on middle click
    + fix a problem with bookmarks crashing when reading bad bookmark files

 -- Rico Tzschichholz <ricotz@t-online.de>  Sat, 01 Jan 2011 21:21:01 +0100

docky (2.0.8-1) experimental; urgency=low

  * New upstream release 2.0.8 "Turn it on again",
    changes include:
   + change location of autostart file to ~/.config/autostart/docky.desktop
     (LP: #653981)
   + add window-matcher support for LibreOffice
   + fix hovertext for RTL font locales (LP: #610145)
   + some better pixbuf handling
   + fix indicators not updating on state changes (LP: #656653)
   + fix crash if a file delete fails (LP: #604234)
   + make sure separators don't darken
   + fix typo in log message
   + fix a NRE in the debug messages
   + make window manager checkbox grey out when checked, so its clear it
     can't be unchecked (LP: #657678)
   + make sure everything uses the services RunOnMainThread instead of
     calling Gtk.App.Invoke directly
   + protect the system service events from crashing docklets and make
     the events thread safe
   + Bookmarks: make sure to update hovers
   + Battery: now uses UPower if its available, then checks /sys/
     then defaults back to /proc/ (LP: #617293)
   + Gmail:
     - fix race condition when manually reloading gmail
       (LP: #675001, LP: #675002)
     - fix underscores in email topics making mnemonics in menus
       (LP: #673181)
     - fix crash when adding/removing gmail labels (LP: #670666)
   + fix gmail/weather not working on reboot (LP: #661923)

 -- Rico Tzschichholz <ricotz@t-online.de>  Sat, 04 Dec 2010 00:22:28 +0100

docky (2.0.7-1) experimental; urgency=low

  * New upstream release 2.0.7 "Your friendly docking station",
    changes include:
    + modify and fix align of 3D separator
    + a little nicer 128px icon
    + fix crash with invalid SetAlpha call (LP: #647072)
    + add some more exec matches for OpenOffice (LP: #504486)
    + Properly respect the autostart choice in preferences (LP: #550491)
    + NPR: fix set of station icon (LP: #636027)
    + Gmail: rename GMail to Gmail (LP: #634627)
    + RecentDocuments: fix crash when opening (LP: #645864)
    + rhythmbox: add AlbumArt.[jpg|png] to search list
    + make banshee helper not query dbus if banshee is not currently
      playing (LP: #613197)
    + open terminal here was preventing unmounting external devices
      (LP: #591918)

 -- Rico Tzschichholz <ricotz@t-online.de>  Sat, 02 Oct 2010 13:33:15 +0200

docky (2.0.6-2) unstable; urgency=low

  * Upload to unstable.

 -- Mirco Bauer <meebey@debian.org>  Sun, 05 Sep 2010 14:06:40 +0200

docky (2.0.6-1) experimental; urgency=low

  * New upstream release 2.0.6 "Just lovin' it",
    changes include:
    + fix check for existing instance
    + hitting ESC should cancel drags (LP: #460071)
    + make sure plugins enabled by default are added to the dock on first run
      and enable Trash docklet by default
    + update badge drawing so the text is consistently sized
    + fix leak of ThemedIcon/FileIcon in IconFromGIcon
    + fix non-square items arent properly darken (LP: #584094)
    + remove MenuList.Dispose which is not really needed, solves (LP: #609170)
    + shrink config dialog (LP: #591448)

    + RecentDocs: fix crash (LP: #580723)
    + Mounter: use a better MountItem.UniqueID and don't fill up gconf with 
      useless keys (temporary fix for LP: #600311)
    + Weather: add weather icon for Smoke (LP: #612437)
    + CPUMonitor: fix CPU utilization percentage (LP: #604677)
    + GMail: 
      - add debuging messages to gmail and log web response status when we 
        have a web exception
      - fix crash and leak in Gmail
  * debian/patches:
    + drop 01_use_cli_for_wrapper.patch
  * patch build-system and bump dependency for new gio-sharp >= 2.22.2
    + update debian/patches/use-system-gio-sharp.patch 

 -- Rico Tzschichholz <ricotz@t-online.de>  Wed, 01 Sep 2010 09:37:14 +0200

docky (2.0.5-1) unstable; urgency=low

  * New upstream release 2.0.5 "Be proud of your dock",
    changes include:
    + remove --debug flag from launcher for lower memory usage
    + update the about dialog credits to list documenters and make translation 
      tab easier to read
    + change url in about dialog to the launchpad project page
    + Window-Matching
      - fix for applications commandline
      - properly match qt creator (LP: #594814)
      - prefer local over global launchers (LP: #588073) (LP: #592841)
      - match prefix for gksudo (LP: #516433)
      - fix nautilus items showing active indicator when desktop 
        is focused (LP: #487113)
      - fix matching wine apps that use a prefixed launcher (LP: #596092)
    + Memory Leaks
      - dispose of calendar painter when the clock item is disposed
      - fix leak in AutoHideManager
      - several fixes using Cairo.Context.Target and Pango.Layout
      - fix leak in PagingPainters
      - fix leak in recursive file-deletion
      - fix leaking SeparatorItems, WnckDockItems
      - fix leaks with FileEmblems
      - fix Pixbuf related leaks
      - fix some leaks regarding FileMonitors
      - fix leaks regarding Tiles and AbtractTileObjects
      - fix leaking Glib.FileAdapter caused by unreferenced Action in 
        FileDockItem
    + Handle invalid desktopfile entry and UriFormatException in 
      FileApplicationProvider (LP: #595921)
    + fix potential crash for invalid HelperMetadata
    + handle drops correctly
    + fix handling of Helpers in HelperService
    + make the sliders in preferences behave better
    + fix drawing of rotated items
    + fix HoveredItem click-position
    + avoids fatal errors on console when loading embedded icons when no 
      height or width is specified and when dock items have a null Icon
    + fix icon theme change not refreshing the dock icons (LP: #590205)
    + fix SVG rendering bug
    + fix iconsize temporarily getting large when adding to full dock 
      (LP: #579576)
    + fix the 'crash in PinToDock' (LP: #588073)
    + make 3d background height more consistent and a tad larger (LP: #503038)
    + fix dragging multiple files to a folder on the dock, which caused 
      a crash and data corruption (LP: #579049)
    + don't request animations if urgent state is removed from a window and 
      fix glow location (LP: #596422)
    + fix window previews being offset (LP: #495065)
    + fix broken zoom after shrinking icon size (LP: #598924)
    + fix problem with hovers still visible when painters show
    + fix displaying default icon in place of missing file emblem (LP: #534651)
    + fix crash when gconf key for menus_have_icons is not set (LP: #573751)
    + make sure painters fit on screen (LP: #589978)
    + fix icon minimize animations not working immediately for some newly 
      opened windows
    + don't dispose our static DockyItem
    + fix CurrentDesktopOnly not working when dragging a window across desktops
      (LP: #600290)
    + GMail: 
      - fix thread-guards and remove deprecated code
      - fix problem with feeds that don't have an author entry (LP: #595530)
    + NPR: fix bug where removing your last NPR station unloaded the docklet
      and fix station icon
    + NetworkManager: fix crash caused when NM goes away
      and fix icons and add another fallback icon (LP: #588581)
    + Mounter:
      - fixed some leaks
      - only remove mounted items if they were successfully unmounted 
        (LP: #597637)
      - fix duplicate icons showing in mounter (LP: #525306)
    + Weather: fix feels like temp showing incorrect for metric (LP: #597670)
    + RecentDocuments: 
      - fixed some leaks
      - fix sensitivity of recent docs clear menu item - even if docky shows 
        the list as empty does not mean it cant be cleared
  * debian/patches/01_use_cli_for_wrapper.patch:
    + patch wrapper script to meet the Debian CLI Policy
  * debian/control:
    + Bump Standards version to 3.9.0 (no changes needed)

 -- Rico Tzschichholz <ricotz@t-online.de>  Thu, 01 Jul 2010 21:21:50 +0200

docky (2.0.4-1) unstable; urgency=low

  [ Iain Lane ]
  * debian/control: Specify that only python version >= 2.5 are supported,
    thanks to Stefano Rivera for the report (Closes: #582046) 

  [ Rico Tzschichholz ]
  * New upstream release 2.0.4 "Do you think you're better off alone?",
    changes include:
    + fix positioning of menus/hovers on multimon setups (LP: #544047)
    + make settings dialog smaller so it fits on netbook screens (LP: #581458)
    + FileApplicationProvider.PinToDock misses a handle-removal 
      This caused a duplicated item when restarting a just pinned application and 
      leads to a crash when trying to pin the new item (LP: #585136)
    + update transient items when moving the active window (LP: #581077)
    + fix crash when a file is on the dock where this file no longer exists 
      (LP: #581074)
    + fix drag'n'drop-hover-strings (LP: #556041)
    + add call to GLib.Thread.Init (LP: #586969)
    + Window-Matching
      - better OpenOffice handling (LP: #486887) (LP: #580275) 
        (LP: #504486) (LP: #580275)
    + Helper
      - fix a crash regarding helpers terminating
      - fix killing helpers from prefs menu
      - fix potential crash when disabling helpers
      - cleanup the helpers, fix a few possible leaks in them
    + Clock: fix problems with the small clock rendering
    + GMail: 
      - fix compose mail url in GMail docklet for Google app domains (LP: #582212)
      - fix crash when removing a gmail label (LP: #576596)
      - refresh be set up to 1 day (1440 mins) long (LP: #580441)
      - missing string internationalization in GMail
    + RecentDocuments: better locking to avoid crashes when clearing 
      recent documents (LP: #580723)
    + Weather: make sure weather doesn't reload when prefs open (LP: #580314)
    + Bookmarks: stop spurious errors when dragging files over 
      unmounted bookmarks (LP: #580361)
    + NPR: fix failing to load after network comes back up (LP: #523155)
    + make banshee and rhythmbox helper a bit smarter looking 
      for art-cover-files (LP: #578254)
    + fix class-names in the deluge helper
    + change open terminal here helper to use the gnome default terminal, 
      with a fallback to gnome-terminal if the default is not set
    + fix issues with newer zeitgeist version (LP: #570286)
  
  [Christopher James Halse Rogers]
  * debian/patches/mail_label_crash:
  * debian/patches/window_grouping_reliability:
    + Drop patches incorporated in new upstream release.
  * debian/rules:
    + Run autoreconf before configure for GIO buildsystem patch.
    + Remove autofoo cruft on clean.
  * debian/patches/use-system-gio-sharp.patch:
    + Build against the system gio-sharp
  * debian/control:
    + Add build-depends on libgconf2-dev for autoreconf,
      libgio2.0-cil-dev.

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Mon, 31 May 2010 23:03:30 +1000

docky (2.0.3.1-2) unstable; urgency=low

  * debian/patches/mail_label_crash: Add patch cherrypicked from upstream to
    fix a crash bug when deleting mail labels.
  * debian/patches/window_grouping_reliability: Add patch cherrypicked from
    upstream to improve the window grouping reliability. Previously some
    applications, particularly OOo, would show two icons when the windows
    should have been grouped into one. 
  * debian/control: Add python dep to docky manually. When we stopped byte
    compiling the helpers, this dependency wasn't removed, but we do still
    need to have a python interpreter around to use them. 

 -- Iain Lane <laney@ubuntu.com>  Fri, 14 May 2010 09:32:56 +0100

docky (2.0.3.1-1) unstable; urgency=low

  * New upstream release 2.0.3.1 "You should have heard from us by now",
    changes include:
    + fix gnome-keyring related crash in Lucid caused by GMail docklet
      (LP: #555562)
    + catch exception for read-failure of cxoffice launcher (LP: #573294)
    + check if authentication is used before using network proxy
    + make sure to update screen regions when showing menus
    + make transparent themed docks still glow in configuration mode
      (LP: #572416)
    + Memory Leaks
      - some unlinked handlers and pixbufs (DockItemMenu, WindowDockItem, ...)
      - proper disposal of tile-widgets in preferences dialog
      - properly using DesktopAppInfo for launching application
    + GMail: fix exception when reloading (LP: #573991)
    + CLOCK: popup menu must always show icons (LP: #574003)
    + helpers crash when dbus isn't available (LP: #540688)
  * debian/rules: Don't byte compile python helpers as this causes them to
    appear in the prefs window twice (and the compiled ones don't work) 
  * debian/control: Add dep on librsvg2-common to fix installability when this
    isn't otherwise available.

 -- Iain Lane <laney@ubuntu.com>  Tue, 04 May 2010 16:15:39 +0100

docky (2.0.2-1) unstable; urgency=low

  [ Stefan Ebner ]
  * debian/copyright: Add missing copyright holders

  [ Iain Lane ]
  * New upstream bugfix release 2.0.2
  * debian/source/format: Specify 1.0 explicitly 

 -- Iain Lane <laney@ubuntu.com>  Wed, 14 Apr 2010 19:01:31 +0100

docky (2.0.1-1) unstable; urgency=low

  * New upstream release

 -- Stefan Ebner <sebner@ubuntu.com>  Fri, 26 Mar 2010 14:33:28 +0100

docky (2.0.0-1) UNRELEASED; urgency=low

  [ Christopher James Halse Rogers ]
  * Initial release (Closes: #570180)

  [ Iain Lane ]
  * debian/docky.install:
    + Install desktop file, fixes crash when opening settings dialog (LP:
    #529320)
    + Install translations

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Wed, 17 Feb 2010 15:10:07 +1100
